import pygame
import pygame.image
import pygame.mixer

import os

import util


DATA_PATH = os.path.abspath(os.path.join(util.BASE_PATH,'data'))


imagesLoaded = {}
soundsLoaded = {}


def loadImage(img_path):
    img_path = str(img_path)
    img_path = os.path.join(DATA_PATH,'image',img_path)
    img_path = util.fixPath(img_path)
    
    if img_path not in imagesLoaded.keys():
        imagesLoaded[img_path] = pygame.image.load(img_path)
        
    
    return imagesLoaded[img_path]
    

def loadSound(snd_path):
    snd_path = str(snd_path)
    snd_path = os.path.join(DATA_PATH,'sound',snd_path)
    snd_path = util.fixPath(snd_path)
    
    if snd_path not in soundsLoaded.keys():
        soundsLoaded[snd_path] = pygame.mixer.Sound(snd_path)
        
    
    soundsLoaded[snd_path].set_volume(0.5)
    
    return soundsLoaded[snd_path]
    


def init():
    pass
    
